#include <bits/stdc++.h>
using namespace std;
vector <int> ans;
std::vector<int> solve(std::vector<int> A)
{
    ans.clear();
    int N = A.size();
    for (int i = N-1; i >= 0; i--)
    {
        ans.push_back(i);
    }
    return ans;
}